/*
 * This modification of the original file JDBCSamplerBeanInfo.java  
 * taken from the Apache SVN repository. The starting point from this file
 * was rev 388916 of JDBCSamplerBeanInfo.java  
 */

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

/*
 * Created on May 16, 2004
 *
 */
package com.rubenlaguna.jmeter.jdbc.sampler;

import java.beans.PropertyDescriptor;

import org.apache.jmeter.testbeans.BeanInfoSupport;
import org.apache.jmeter.testbeans.gui.TextAreaEditor;

/**
 * @author mstover
 * 
 */
public class EnhancedJDBCSamplerBeanInfo extends BeanInfoSupport {

	/**
	 * 
	 */
	public EnhancedJDBCSamplerBeanInfo() {
		super(EnhancedJDBCSampler.class);

		createPropertyGroup("varName", new String[] { "dataSource" });

		createPropertyGroup("sql", new String[] { "queryType", "query", "queryArguments","queryArgumentsTypes" });

		PropertyDescriptor p = property("dataSource");
		p.setValue(NOT_UNDEFINED, Boolean.TRUE);
		p.setValue(DEFAULT, "");

		p = property("queryArguments");
		p.setValue(NOT_UNDEFINED, Boolean.TRUE);
		p.setValue(DEFAULT, "");
		
		p = property("queryArgumentsTypes");
		p.setValue(NOT_UNDEFINED, Boolean.TRUE);
		p.setValue(DEFAULT, "");
		

		p = property("queryType");
		p.setValue(NOT_UNDEFINED, Boolean.TRUE);
		p.setValue(DEFAULT, EnhancedJDBCSampler.SELECT);
		p.setValue(NOT_OTHER,Boolean.TRUE);
		p.setValue(TAGS,new String[]{EnhancedJDBCSampler.SELECT,EnhancedJDBCSampler.UPDATE,EnhancedJDBCSampler.CALLABLE, EnhancedJDBCSampler.PREPARED_SELECT, EnhancedJDBCSampler.PREPARED_UPDATE, EnhancedJDBCSampler.COMMIT});

		p = property("query");
		p.setValue(NOT_UNDEFINED, Boolean.TRUE);
		p.setValue(DEFAULT, "");
		p.setPropertyEditorClass(TextAreaEditor.class);
		
//		

	}
}
